data:extend(
{
  {
    type = "autoplace-control",
    name = "deep-copper-ore",
    richness = true,
    order = "b-b-b"
  },

  {
    type = "noise-layer",
    name = "deep-copper-ore"
  },

  {
    type = "resource",
    name = "deep-copper-ore",
    icon = "__base__/graphics/icons/copper-ore.png",
    flags = {"placeable-neutral"},
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    stage_counts = {4000, 2000, 1700, 1300, 1000, 750, 600, 500},
    map_color = {r=0.703, g=0.288, b=0.115},
	map_grid = false,
    order="a-b-f-e",
	
    infinite=true,
    minimum=500,
	normal=1500,
    maximum=6000,
	
    minable =
    {
      hardness = 2.65,
      mining_particle = "copper-ore-particle",
      mining_time = 1,
      results = 
      {
		{type="item", name="copper-ore", amount=1, probability = 0.35},
		{type="item", name="stone", amount=1, probability = 0.25},
		{type="item", name="copper-ore", amount=2, probability = 0.40}
      },
    },
    stages =
    {
      sheet =
      {
        filename = "__deepores__/graphics/entity/deep-copper-ore.png",
        priority = "extra-high",
        width = 38,
        height = 38,
        frame_count = 4,
        variation_count = 8
      }
    },
    autoplace =
    {
      control = "deep-copper-ore",
      sharpness = 0.5,
	  max_probability = 0.11,
      richness_multiplier = 28000,
      richness_base = 700,
      size_control_multiplier = 0.04,
      peaks =
      {
        {
          influence = 0.15,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
		{
          influence = 0.2,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
		{
          influence = 0.30,
          noise_layer = "copper-ore",
          noise_octaves_difference = -1.9,
          noise_persistence = 0.45,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
		{
          influence = 0.15,
          noise_layer = "copper-ore",
          noise_octaves_difference = -1.9,
          noise_persistence = 0.45,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
		{
          influence = 0.1,
          max_influence = 0,
          noise_layer = "stone",
          noise_octaves_difference = -3,
          noise_persistence = 0.55,
        },
        {
          influence = 0.3,
          noise_layer = "deep-copper-ore",
          noise_octaves_difference = -2.4,
          noise_persistence = 0.6,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
      },
    },
  },
}
)
