data:extend({
  {
    type = "item",
    name = "deep-extraction-drill",
    icon = "__base__/graphics/icons/burner-mining-drill.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-b[deep-extraction-drill]",
    place_result = "deep-extraction-drill",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "deep-extraction-drill",
    energy_required = 2,
    ingredients =
    {
	  {"basic-mining-drill", 2},
      {"pipe", 20},
      {"iron-gear-wheel", 5},
      {"steel-plate", 20}
    },
    result = "deep-extraction-drill"
  },
  { 
    type = "mining-drill",
    name = "deep-extraction-drill",
    icon = "__base__/graphics/icons/burner-mining-drill.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "deep-extraction-drill"},
    max_health = 450,
    resource_categories = {"basic-solid"},
    corpse = "big-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/transport-belt-working.ogg",
        volume = 0.8
      },
      apparent_volume = 1.5,
    },
    animations =
    {
      north =
      {
        priority = "extra-high",
        width = 165,
        height = 114,
        line_length = 4,
        shift = {0.6875, -0.09375},
        filename = "__deepores__/graphics/entity/deep-extraction-drill/north.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward",
      },
      east =
      {
        priority = "extra-high",
        width = 141,
        height = 111,
        line_length = 4,
        shift = {0.4375, -0.09375},
        filename = "__deepores__/graphics/entity/deep-extraction-drill/east.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward",
      },
      south =
      {
        priority = "extra-high",
        width = 134,
        height = 132,
        line_length = 4,
        shift = {0.40625, 0},
        filename = "__deepores__/graphics/entity/deep-extraction-drill/south.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward",
      },
      west =
      {
        priority = "extra-high",
        width = 137,
        height = 117,
        line_length = 4,
        shift = {0.25, 0},
        filename = "__deepores__/graphics/entity/deep-extraction-drill/west.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward",
      }
    },
    mining_speed = 0.15,
    energy_source =
    {
      type = "electric",
      -- will produce this much * energy pollution units per tick
      emissions = 0.15 / 1.5,
      usage_priority = "secondary-input"
    },
    energy_usage = "180kW",
    mining_power = 7,
    resource_searching_radius = 1.49,
    vector_to_place_result = {0, -1.85},
    module_specification =
    {
      module_slots = 1
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
      width = 12,
      height = 12
    },
    fast_replaceable_group = "mining-drill"
  },
})